common colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr

print, 'INVOKING /home/heiles/idl/gen/idlstartup_fast.pro'

setenv, 'CARLPATH=/public/home/heiles/dzd2/'
setenv, 'FASTPATH=/public/home/heiles/dzd4/fast/'

!path= expand_path( getenv( 'CARLPATH') + 'idl/gen/path/') + ':' + !path
.compile addpath
.compile which
;MAKE SURE WE COMPILE OUR OWN VERSIONS OF ADDPATH AND WHICH...

;---------------------ADD CARL-RELATED PATHS-------------------------
addpath, getenv( 'CARLPATH')+ 'idl/ay120coords' 
addpath, getenv( 'CARLPATH')+ 'idl/CodeIDL' 
addpath, getenv( 'CARLPATH') + 'idl/goddard' 
addpath, getenv( 'CARLPATH') + 'idl/goddard_jan2007', /expand 
addpath, getenv( 'CARLPATH')+ 'idl/idlutils', /expand 
addpath, getenv( 'CARLPATH')+ 'idl/gen', /expand 
addpath, getenv( 'FASTPATH')+ 'procs'  ;, /expand 

;OBSERVATORY COORDINATES...
;these are for FAST...
print, 'loading FAST coordinages into COMMON ANGLESTUFF'
common anglestuff, obslong, obslat, cosobslat, sinobslat
obslong = 360.d0 - ten(106,51,24)   ;west long
obslat = ten(25,39,11)
cosobslat = cos(!dtor*obslat)
sinobslat = sin(!dtor*obslat)
defsysv, '!obsnlat', obslat
defsysv, '!obselong', 360.d0- obslong
defsysv, '!obswlong', obslong

; WE'RE GOING TO SET THE PLOT DEVICE TO X WINDOWS...
set_plot, 'X'
; SET THE NUMBER OF LINES YOU WANT IDL TO SAVE FOR UP-ARROW CALLBACK...
!EDIT_INPUT=200

;USE THE ROBISHAW/HEILES COLOR SCHEME
device, True_Color=24,   retain=2 &$     ; TRUECOLOR

;GET IDL COLOR INFORMATION AND SET UP SYSTEM VARIABLES WITH BASIC
;PLOT COLOR NAMES...
setcolors, /SYSTEM_VARIABLES;, PSEUDO256=(mode eq '2')
defsysv, '!pcolr', [!gray, !red, !green, !blue, !yellow, !magenta, !cyan, $
        !orange, !forest, !purple]
defsysv, '!grey', !gray
 
; SET THE CURSOR TO AN ARROW POINTER (46)
defsysv, '!cursor_standard', 46
device, CURSOR_STANDARD=!cursor_standard
window, 0, xsize=300, ysize=225 ;, retain=2
 
; REDEFINE SOME KEYS...
define_key, /control, '^F', /forward_word
print, 'Redefining CTRL-F : Move cursor forward one word'
define_key, /control, '^B', /back_word
print, 'Redefining CTRL-B : Move cursor backward one word'
define_key, /control, '^K', /delete_eol
print, 'Redefining CTRL-K : Delete to end of line'
define_key, /control, '^U', /delete_line
print, 'Redefining CTRL-U : Delete to beginning of line'
define_key, /control, '^D', /delete_current
print, 'Redefining CTRL-D : Delete current character under cursor'
define_key, /control, '^W', /delete_current
print, 'Redefining CTRL-W : Delete word to left of cursor', format='(A,%"\N")'

print, 'to use a 256-entry color table, turn off decomposed color: DEVICE, DEC=0'
print, ''

print, 'INVOKING /home/heiles/idl/gen/idlstartup_fast.pro'
print, '!!'
